Categories
GET /categories
Retrieves the full list of product categories. Optionally filters by category status.
Endpoint
GET/categories
Parameters
| Attribute | Description | Type | Location | Required |
|---|---|---|---|---|
| status | Optional status filter. | string [active, inactive] | query | No |
Responses
200
Category list retrieved successfully.
{
"items": [
{
"categoryId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"translations": {
"example_key": {
"name": "string",
"description": "string"
}
}
}
],
"count": 0
}| Attribute | Type | Required | Description |
|---|---|---|---|
| items | array<object> | No | |
| items[] | object | No | |
| items[].categoryId | string(uuid) | No | |
| items[].name | string | No | |
| items[].translations | object<{key}: object> | No | |
| items[].translations.{key} | object | No | |
| items[].translations.{key}.name | string | No | |
| items[].translations.{key}.description | string | No | |
| count | integer | No |
500
Failed to retrieve categories due to server error.